com.thinkaurelius.titan.graphdb.types.vertices

## Class TitanSchemaVertex

- java.lang.Object
- - com.thinkaurelius.titan.graphdb.internal.AbstractElement
  - - com.thinkaurelius.titan.graphdb.vertices.AbstractVertex
    - - com.thinkaurelius.titan.graphdb.vertices.StandardVertex
      - - com.thinkaurelius.titan.graphdb.vertices.CacheVertex
        - - com.thinkaurelius.titan.graphdb.types.vertices.TitanSchemaVertex

- All Implemented Interfaces:
    Idfiable, TitanElement, TitanVertex, InternalElement, InternalVertex, SchemaSource, Removable, com.tinkerpop.blueprints.Element, com.tinkerpop.blueprints.Vertex, Comparable<TitanElement>
  Direct Known Subclasses:
    RelationTypeVertex, VertexLabelVertex

      public class TitanSchemaVertex
      extends CacheVertex
      implements SchemaSource

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.thinkaurelius.titan.graphdb.types.SchemaSource

      `SchemaSource.Entry`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TitanSchemaVertex(StandardTitanTx tx, long id, byte lifecycle)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `IndexType` | `asIndexType()`
    `TypeDefinitionMap` | `getDefinition()`
    `Iterable<TitanEdge>` | `getEdges(TypeDefinitionCategory def, com.tinkerpop.blueprints.Direction dir)`
    `Iterable<TitanEdge>` | `getEdges(TypeDefinitionCategory def, com.tinkerpop.blueprints.Direction dir, TitanSchemaVertex other)`
    `String` | `getName()`
    `Iterable<SchemaSource.Entry>` | `getRelated(TypeDefinitionCategory def, com.tinkerpop.blueprints.Direction dir)`
    `SchemaStatus` | `getStatus()`
    `protected com.tinkerpop.blueprints.Vertex` | `getVertexLabelInternal()`
    `void` | `resetCache()` Resets the internal caches used to speed up lookups on this index type.
    `String` | `toString()`

    - ### Methods inherited from class com.thinkaurelius.titan.graphdb.vertices.CacheVertex

      `addToQueryCache, hasLoadedRelations, loadRelations`

    - ### Methods inherited from class com.thinkaurelius.titan.graphdb.vertices.StandardVertex

      `addRelation, getAddedRelations, getLifeCycle, hasAddedRelations, hasRemovedRelations, remove, removeRelation, updateLifeCycle`

    - ### Methods inherited from class com.thinkaurelius.titan.graphdb.vertices.AbstractVertex

      `addEdge, addEdge, addEdge, addProperty, addProperty, getCompareId, getEdgeCount, getEdges, getEdges, getId, getLabel, getProperties, getProperties, getProperties, getProperty, getProperty, getPropertyCount, getPropertyKeys, getRelations, getTitanEdges, getVertexLabel, getVertices, isConnected, isModified, it, query, removeProperty, removeProperty, setProperty, setProperty, tx`

    - ### Methods inherited from class com.thinkaurelius.titan.graphdb.internal.AbstractElement

      `clone, compare, compareTo, equals, getLongId, hashCode, hasId, isHidden, isLoaded, isNew, isRemoved, isTemporaryId, setId`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.thinkaurelius.titan.graphdb.types.SchemaSource

      `getLongId`

    - ### Methods inherited from interface com.thinkaurelius.titan.graphdb.internal.InternalElement

      `isHidden, setId`

    - ### Methods inherited from interface com.thinkaurelius.titan.core.TitanElement

      `getLongId, hasId, isLoaded, isNew, isRemoved`

- - ### Constructor Detail

    - #### TitanSchemaVertex

          public TitanSchemaVertex(StandardTitanTx tx,
                           long id,
                           byte lifecycle)

  - ### Method Detail

    - #### getName

          public String getName()

      Specified by:
        `getName` in interface `SchemaSource`

    - #### getVertexLabelInternal

          protected com.tinkerpop.blueprints.Vertex getVertexLabelInternal()

      Overrides:
        `getVertexLabelInternal` in class `AbstractVertex`

    - #### getDefinition

          public TypeDefinitionMap getDefinition()

      Specified by:
        `getDefinition` in interface `SchemaSource`

    - #### getRelated

          public Iterable<SchemaSource.Entry> getRelated(TypeDefinitionCategory def,
                                                com.tinkerpop.blueprints.Direction dir)

      Specified by:
        `getRelated` in interface `SchemaSource`

    - #### resetCache

          public void resetCache()

      Resets the internal caches used to speed up lookups on this index type. This is needed when the type gets modified in the `ManagementSystem`.
      Specified by:
        `resetCache` in interface `SchemaSource`

    - #### getEdges

          public Iterable<TitanEdge> getEdges(TypeDefinitionCategory def,
                                     com.tinkerpop.blueprints.Direction dir)

    - #### getEdges

          public Iterable<TitanEdge> getEdges(TypeDefinitionCategory def,
                                     com.tinkerpop.blueprints.Direction dir,
                                     TitanSchemaVertex other)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `AbstractVertex`

    - #### getStatus

          public SchemaStatus getStatus()

      Specified by:
        `getStatus` in interface `SchemaSource`

    - #### asIndexType

          public IndexType asIndexType()

      Specified by:
        `asIndexType` in interface `SchemaSource`

Copyright © 2012–2014. All rights reserved.